aboutsummaryrefslogtreecommitdiff
path: root/reg_test.sh
diff options
context:
space:
mode:
authorErik Andersen <andersen@codepoet.org>1999-12-29 03:34:00 +0000
committerErik Andersen <andersen@codepoet.org>1999-12-29 03:34:00 +0000
commita89910829c73c5ed4f30eecb181d7b3087ca4f74 (patch)
tree9467006b9e64b9051ec48c6fcccd30e50c587f84 /reg_test.sh
parentf664c004db12cdb3e379c1745351e225c7b92de7 (diff)
downloadbusybox-a89910829c73c5ed4f30eecb181d7b3087ca4f74.tar.gz
Add the beginings of some regression testing. Add in the recently
contributed loadacm utility (for dealing with unicode fonts) -Erik
Diffstat (limited to 'reg_test.sh')
-rwxr-xr-xreg_test.sh136
1 files changed, 136 insertions, 0 deletions
diff --git a/reg_test.sh b/reg_test.sh
new file mode 100755
index 000000000..0a30ae305
--- /dev/null
+++ b/reg_test.sh
@@ -0,0 +1,136 @@
+#!/bin/sh
+
+
+
+rm -rf testdir
+./busybox cp tar.c testdir
+
+if ! eval diff -u tar.c testdir ; then
+ echo " "
+ echo "Bummer. File copy failed."
+ exit 0
+else
+ echo "Cool. File copy is ok."
+fi
+echo " "
+
+rm -rf testdir
+mkdir -p testdir/foo
+./busybox cp tar.c testdir/foo
+
+if ! eval diff -u tar.c testdir/foo/tar.c ; then
+ echo " "
+ echo "Bummer. File copy to a directory failed."
+ exit 0
+else
+ echo "Cool. File copy to a directory is ok."
+fi
+echo " "
+
+
+rm -rf testdir
+mkdir -p testdir/foo
+./busybox cp tar.c testdir/foo/
+
+if ! eval diff -u tar.c testdir/foo/tar.c ; then
+ echo " "
+ echo "Bummer. File copy to a directory w/ a '/' failed."
+ exit 0
+else
+ echo "Cool. File copy to a directory w/ a '/' is ok."
+fi
+echo " "
+
+
+rm -rf testdir X11
+cp -a /etc/X11 .
+./busybox cp -a X11 testdir
+
+if ! eval diff -ur X11 testdir ; then
+ echo " "
+ echo "Bummer. Local dir copy failed."
+ exit 0
+else
+ echo "Cool. Local dir copy is ok."
+fi
+echo " "
+
+rm -rf testdir X11
+cp -a /etc/X11 .
+./busybox cp -a X11 testdir/
+
+if ! eval diff -ur X11 testdir ; then
+ echo " "
+ echo "Bummer. Local dir copy w/ a '/' failed."
+ exit 0
+else
+ echo "Cool. Local dir copy w/ a '/' is ok."
+fi
+echo " "
+
+rm -rf testdir X11
+cp -a /etc/X11 .
+./busybox cp -a X11/ testdir
+
+if ! eval diff -ur X11 testdir ; then
+ echo " "
+ echo "Bummer. Local dir copy w/ a src '/' failed."
+ exit 0
+else
+ echo "Cool. Local dir copy w/ a src '/' is ok."
+fi
+echo " "
+
+rm -rf testdir X11
+cp -a /etc/X11 .
+./busybox cp -a X11/ testdir/
+
+if ! eval diff -ur X11 testdir ; then
+ echo " "
+ echo "Bummer. Local dir copy w/ 2x '/'s failed."
+ exit 0
+else
+ echo "Cool. Local dir copy w/ 2x '/'s is ok."
+fi
+echo " "
+
+rm -rf testdir X11
+./busybox cp -a /etc/X11 testdir
+if ! eval diff -ur /etc/X11 testdir ; then
+ echo " "
+ echo "Bummer. Remote dir copy failed."
+ exit 0
+else
+ echo "Cool. Remote dir copy is ok."
+fi
+echo " "
+
+
+rm -rf testdir X11
+mkdir -p testdir/foo
+
+./busybox cp -a /etc/X11 testdir/foo
+if ! eval diff -ur /etc/X11 testdir/foo ; then
+ echo " "
+ echo "Bummer. Remote dir copy to a directory failed."
+ exit 0
+else
+ echo "Cool. Remote dir copy to a directory is ok."
+fi
+echo " "
+
+
+rm -rf testdir X11
+mkdir -p testdir/foo
+
+./busybox cp -a /etc/X11 testdir/foo/
+if ! eval diff -ur /etc/X11 testdir/foo ; then
+ echo " "
+ echo "Bummer. Remote dir copy to a directory w/ a '/' failed."
+ exit 0
+else
+ echo "Cool. Remote dir copy to a directory w/ a '/' is ok."
+fi
+
+rm -rf testdir
+